Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JMenuOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.AbstractButtonOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JMenuItemOperator
                                          |
                                          +--org.netbeans.jemmy.operators.JMenuOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JMenuOperator
extends JMenuItemOperator
implements Outputable, Timeoutable

Timeouts used:
JMenuOperator.WaitBeforePopupTimeout - time to sleep before popup expanding
JMenuOperator.WaitPopupTimeout - time to wait popup displayed
JMenuOperator.PushMenuTimeout - time for the whole menu operation
JMenuItemOperator.PushMenuTimeout - time between button pressing and releasing
ComponentOperator.WaitComponentTimeout - time to wait button displayed
ComponentOperator.WaitComponentEnabledTimeout - time to wait button enabled
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JMenuOperator.JMenuByLabelFinder` Allows to find component by text.
`static class` | `JMenuOperator.JMenuFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JMenuItemOperator
`JMenuItemOperator.JMenuItemByLabelFinder, JMenuItemOperator.JMenuItemFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`AbstractButtonOperator.AbstractButtonByLabelFinder, AbstractButtonOperator.AbstractButtonFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `SUBMENU_PREFIX_DPROP` Identifier for a "submenu" properties.

Fields inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`IS_SELECTED_DPROP, TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JMenuOperator(ContainerOperator cont)` Constructor.
`JMenuOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JMenuOperator object.
`JMenuOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JMenuOperator object.
`JMenuOperator(ContainerOperator cont, int index)` Constructor.
`JMenuOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JMenuOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JMenuOperator(javax.swing.JMenu menu)` Constructor.

Method Summary
`javax.swing.JMenuItem` | `add(javax.swing.Action action)` Maps `JMenu.add(Action)` through queue
`javax.swing.JMenuItem` | `add(javax.swing.JMenuItem jMenuItem)` Maps `JMenu.add(JMenuItem)` through queue
`javax.swing.JMenuItem` | `add(java.lang.String string)` Maps `JMenu.add(String)` through queue
`void` | `addMenuListener(javax.swing.event.MenuListener menuListener)` Maps `JMenu.addMenuListener(MenuListener)` through queue
`void` | `addSeparator()` Maps `JMenu.addSeparator()` through queue
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`static javax.swing.JMenu` | `findJMenu(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JMenu in container.
`static javax.swing.JMenu` | `findJMenu(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JMenu in container.
`static javax.swing.JMenu` | `findJMenu(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Searches JMenu by text.
`static javax.swing.JMenu` | `findJMenu(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Searches JMenu by text.
`int` | `getDelay()` Maps `JMenu.getDelay()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`javax.swing.JMenuItem` | `getItem(int i)` Maps `JMenu.getItem(int)` through queue
`int` | `getItemCount()` Maps `JMenu.getItemCount()` through queue
`java.awt.Component` | `getMenuComponent(int i)` Maps `JMenu.getMenuComponent(int)` through queue
`int` | `getMenuComponentCount()` Maps `JMenu.getMenuComponentCount()` through queue
`java.awt.Component[]` | `getMenuComponents()` Maps `JMenu.getMenuComponents()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`javax.swing.JPopupMenu` | `getPopupMenu()` Maps `JMenu.getPopupMenu()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`javax.swing.JMenuItem` | `insert(javax.swing.Action action, int i)` Maps `JMenu.insert(Action, int)` through queue
`javax.swing.JMenuItem` | `insert(javax.swing.JMenuItem jMenuItem, int i)` Maps `JMenu.insert(JMenuItem, int)` through queue
`void` | `insert(java.lang.String string, int i)` Maps `JMenu.insert(String, int)` through queue
`void` | `insertSeparator(int i)` Maps `JMenu.insertSeparator(int)` through queue
`boolean` | `isMenuComponent(java.awt.Component component)` Maps `JMenu.isMenuComponent(Component)` through queue
`boolean` | `isPopupMenuVisible()` Maps `JMenu.isPopupMenuVisible()` through queue
`boolean` | `isTearOff()` Maps `JMenu.isTearOff()` through queue
`boolean` | `isTopLevelMenu()` Maps `JMenu.isTopLevelMenu()` through queue
`javax.swing.JMenuItem` | `pushMenu(ComponentChooser[] choosers)` Pushes menu.
`javax.swing.JMenuItem` | `pushMenu(java.lang.String path)` Pushes menu.
`javax.swing.JMenuItem` | `pushMenu(java.lang.String[] names)` Pushes menu.
`javax.swing.JMenuItem` | `pushMenu(java.lang.String[] names, boolean ce, boolean ccs)` Deprecated. Use pushMenu(String[]) or pushMenu(String[], StringComparator)
`javax.swing.JMenuItem` | `pushMenu(java.lang.String[] names, Operator.StringComparator comparator)` Pushes menu.
`javax.swing.JMenuItem` | `pushMenu(java.lang.String path, Operator.StringComparator comparator)` Pushes menu.
`javax.swing.JMenuItem` | `pushMenu(java.lang.String path, java.lang.String delim)` Pushes menu.
`javax.swing.JMenuItem` | `pushMenu(java.lang.String path, java.lang.String delim, boolean ce, boolean ccs)` Deprecated. Use pushMenuNoBlock(String) or pushMenuNoBlock(String, StringComparator)
`javax.swing.JMenuItem` | `pushMenu(java.lang.String path, java.lang.String delim, Operator.StringComparator comparator)` Pushes menu.
`void` | `pushMenuNoBlock(ComponentChooser[] choosers)` Executes `pushMenu(choosers)` in a separate thread.
`void` | `pushMenuNoBlock(java.lang.String path)` Executes `pushMenu(path)` in a separate thread.
`void` | `pushMenuNoBlock(java.lang.String[] names)` Executes `pushMenu(names)` in a separate thread.
`void` | `pushMenuNoBlock(java.lang.String[] names, boolean ce, boolean ccs)` Deprecated. Use pushMenuNoBlock(String[]) or pushMenuNoBlock(String[], StringComparator)
`void` | `pushMenuNoBlock(java.lang.String[] names, Operator.StringComparator comparator)` Executes `pushMenu(names, ce, ccs)` in a separate thread.
`void` | `pushMenuNoBlock(java.lang.String path, Operator.StringComparator comparator)` Executes `pushMenu(names, comparator)` in a separate thread.
`void` | `pushMenuNoBlock(java.lang.String path, java.lang.String delim)` Executes `pushMenu(path, delim)` in a separate thread.
`void` | `pushMenuNoBlock(java.lang.String path, java.lang.String delim, boolean ce, boolean ccs)` Deprecated. Use pushMenuNoBlock(String, String) or pushMenuNoBlock(String, String, StringComparator)
`void` | `pushMenuNoBlock(java.lang.String path, java.lang.String delim, Operator.StringComparator comparator)` Executes `pushMenu(names, delim, comparator)` in a separate thread.
`void` | `remove(javax.swing.JMenuItem jMenuItem)` Maps `JMenu.remove(JMenuItem)` through queue
`void` | `removeMenuListener(javax.swing.event.MenuListener menuListener)` Maps `JMenu.removeMenuListener(MenuListener)` through queue
`void` | `setDelay(int i)` Maps `JMenu.setDelay(int)` through queue
`void` | `setMenuLocation(int i, int i1)` Maps `JMenu.setMenuLocation(int, int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setPopupMenuVisible(boolean b)` Maps `JMenu.setPopupMenuVisible(boolean)` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`JMenuItemOperator` | `showMenuItem(java.lang.String path)` Expands all menus to show menu item specified by a `path` parameter.
`JMenuItemOperator` | `showMenuItem(java.lang.String[] path)` Expands all menus to show menu item specified by a `path` parameter.
`JMenuItemOperator` | `showMenuItem(java.lang.String[] path, Operator.StringComparator comparator)` Expends all menus to show menu item specified by a `path` parameter.
`JMenuItemOperator` | `showMenuItem(java.lang.String path, Operator.StringComparator comparator)` Expands all menus to show menu item specified by a `path` parameter.
`JMenuItemOperator` | `showMenuItem(java.lang.String path, java.lang.String delim)` Expands all menus to show menu item specified by a `path` parameter.
`JMenuItemOperator` | `showMenuItem(java.lang.String path, java.lang.String delim, Operator.StringComparator comparator)` Expands all menus to show menu item specified by a `path` parameter.
`JMenuItemOperator[]` | `showMenuItems(java.lang.String path)` Shows submenu of menu specified by a `path` parameter.
`JMenuItemOperator[]` | `showMenuItems(java.lang.String[] path)` Shows submenu of menu specified by a `path` parameter.
`JMenuItemOperator[]` | `showMenuItems(java.lang.String[] path, Operator.StringComparator comparator)` Shows submenu of menu specified by a `path` parameter.
`JMenuItemOperator[]` | `showMenuItems(java.lang.String path, Operator.StringComparator comparator)` Shows submenu of menu specified by a `path` parameter.
`JMenuItemOperator[]` | `showMenuItems(java.lang.String path, java.lang.String delim)` Shows submenu of menu specified by a `path` parameter.
`JMenuItemOperator[]` | `showMenuItems(java.lang.String path, java.lang.String delim, Operator.StringComparator comparator)` Shows submenu of menu specified by a `path` parameter.
`static javax.swing.JMenu` | `waitJMenu(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JMenu in container.
`static javax.swing.JMenu` | `waitJMenu(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JMenu in container.
`static javax.swing.JMenu` | `waitJMenu(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Waits JMenu by text.
`static javax.swing.JMenu` | `waitJMenu(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Waits JMenu by text.

Methods inherited from class org.netbeans.jemmy.operators.JMenuItemOperator
`addMenuDragMouseListener, addMenuKeyListener, findJMenuItem, findJMenuItem, findJMenuItem, findJMenuItem, getAccelerator, getComponent, getSubElements, isArmed, menuSelectionChanged, prepareToClick, processKeyEvent, processMenuDragMouseEvent, processMenuKeyEvent, processMouseEvent, removeMenuDragMouseListener, removeMenuKeyListener, setAccelerator, setArmed, setUI, waitJMenuItem, waitJMenuItem, waitJMenuItem, waitJMenuItem`

Methods inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`addActionListener, addChangeListener, addItemListener, changeSelection, changeSelectionNoBlock, doClick, doClick, findAbstractButton, findAbstractButton, findAbstractButton, findAbstractButton, getActionCommand, getDisabledIcon, getDisabledSelectedIcon, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getMargin, getMnemonic, getModel, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getSelectedObjects, getText, getUI, getVerticalAlignment, getVerticalTextPosition, isBorderPainted, isContentAreaFilled, isFocusPainted, isRolloverEnabled, isSelected, press, push, pushNoBlock, release, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setMargin, setMnemonic, setMnemonic, setModel, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setUI, setVerticalAlignment, setVerticalTextPosition, waitAbstractButton, waitAbstractButton, waitAbstractButton, waitAbstractButton, waitSelected, waitText`

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBMENU_PREFIX_DPROP

    public static final java.lang.String SUBMENU_PREFIX_DPROP

  Identifier for a "submenu" properties.
  See Also:
    `getDump()`

Constructor Detail

### JMenuOperator

    public JMenuOperator(javax.swing.JMenu menu)

  Constructor.
  Parameters:
    `menu` - a component

### JMenuOperator

    public JMenuOperator(ContainerOperator cont,
                         ComponentChooser chooser,
                         int index)

  Constructs a JMenuOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JMenuOperator

    public JMenuOperator(ContainerOperator cont,
                         ComponentChooser chooser)

  Constructs a JMenuOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JMenuOperator

    public JMenuOperator(ContainerOperator cont,
                         java.lang.String text,
                         int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JMenuOperator

    public JMenuOperator(ContainerOperator cont,
                         java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JMenuOperator

    public JMenuOperator(ContainerOperator cont,
                         int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JMenuOperator

    public JMenuOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJMenu

    public static javax.swing.JMenu findJMenu(java.awt.Container cont,
                                              ComponentChooser chooser,
                                              int index)

  Searches JMenu in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JMenu instance or null if component was not found.

### findJMenu

    public static javax.swing.JMenu findJMenu(java.awt.Container cont,
                                              ComponentChooser chooser)

  Searches 0'th JMenu in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JMenu instance or null if component was not found.

### findJMenu

    public static javax.swing.JMenu findJMenu(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs,
                                              int index)

  Searches JMenu by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JMenu instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJMenu

    public static javax.swing.JMenu findJMenu(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs)

  Searches JMenu by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JMenu instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJMenu

    public static javax.swing.JMenu waitJMenu(java.awt.Container cont,
                                              ComponentChooser chooser,
                                              int index)

  Waits JMenu in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JMenu instance.
  Throws:
    `TimeoutExpiredException` -

### waitJMenu

    public static javax.swing.JMenu waitJMenu(java.awt.Container cont,
                                              ComponentChooser chooser)

  Waits 0'th JMenu in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JMenu instance.
  Throws:
    `TimeoutExpiredException` -

### waitJMenu

    public static javax.swing.JMenu waitJMenu(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs,
                                              int index)

  Waits JMenu by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JMenu instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJMenu

    public static javax.swing.JMenu waitJMenu(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs)

  Waits JMenu by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JMenu instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JMenuItemOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JMenuItemOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JMenuItemOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JMenuItemOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `AbstractButtonOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### pushMenu

    public javax.swing.JMenuItem pushMenu(ComponentChooser[] choosers)

  Pushes menu.
  Parameters:
    `choosers` - Array of choosers to find menuItems to push.
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -

### pushMenuNoBlock

    public void pushMenuNoBlock(ComponentChooser[] choosers)

  Executes `pushMenu(choosers)` in a separate thread.
  Parameters:
    `choosers` - Array of choosers to find menuItems to push.
  See Also:
    `pushMenu(ComponentChooser[])`

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String[] names,
                                          Operator.StringComparator comparator)

  Pushes menu.
  Parameters:
    `names` - an array of menu texts.
    `comparator` - a string comparision algorithm
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String[] names,
                                          boolean ce,
                                          boolean ccs)

  Deprecated. Use pushMenu(String[]) or pushMenu(String[], StringComparator)

  Pushes menu.
  Parameters:
    `names` - Menu items texts.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String[] names,
                                Operator.StringComparator comparator)

  Executes `pushMenu(names, ce, ccs)` in a separate thread.
  Parameters:
    `names` - an array of menu texts.
    `comparator` - a string comparision algorithm

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String[] names,
                                boolean ce,
                                boolean ccs)

  Deprecated. Use pushMenuNoBlock(String[]) or pushMenuNoBlock(String[], StringComparator)

  Executes `pushMenu(names, ce, ccs)` in a separate thread.
  Parameters:
    `names` - Menu items texts.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  See Also:
    `pushMenu(String[], boolean,boolean)`

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String[] names)

  Pushes menu. Uses StringComparator assigned to this object,
  Parameters:
    `names` - Menu items texts.
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String[] names)

  Executes `pushMenu(names)` in a separate thread.
  Parameters:
    `names` - Menu items texts.
  See Also:
    `pushMenu(String[])`

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String path,
                                          java.lang.String delim,
                                          Operator.StringComparator comparator)

  Pushes menu.
  Parameters:
    `path` - a menu path.
    `delim` - a path delimiter.
    `comparator` - a string comparision algorithm
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String path,
                                          Operator.StringComparator comparator)

  Pushes menu. Uses PathParser assigned to this operator.
  Parameters:
    `path` - a menu path.
    `comparator` - a string comparision algorithm
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String path,
                                          java.lang.String delim,
                                          boolean ce,
                                          boolean ccs)

  Deprecated. Use pushMenuNoBlock(String) or pushMenuNoBlock(String, StringComparator)

  Pushes menu.
  Parameters:
    `path` - String menupath representation ("File/New", for example).
    `delim` - String menupath divider ("/").
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String path,
                                java.lang.String delim,
                                Operator.StringComparator comparator)

  Executes `pushMenu(names, delim, comparator)` in a separate thread.
  Parameters:
    `path` - a menu path.
    `delim` - a path delimiter.
    `comparator` - a string comparision algorithm

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String path,
                                Operator.StringComparator comparator)

  Executes `pushMenu(names, comparator)` in a separate thread. Uses PathParser assigned to this operator.
  Parameters:
    `path` - a menu path.
    `comparator` - a string comparision algorithm

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String path,
                                java.lang.String delim,
                                boolean ce,
                                boolean ccs)

  Deprecated. Use pushMenuNoBlock(String, String) or pushMenuNoBlock(String, String, StringComparator)

  Executes `pushMenu(path, delim, ce, ccs)` in a separate thread.
  Parameters:
    `path` - String menupath representation ("File/New", for example).
    `delim` - String menupath divider ("/").
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  See Also:
    `pushMenu(org.netbeans.jemmy.ComponentChooser[])`

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String path,
                                          java.lang.String delim)

  Pushes menu. Uses StringComparator assigned to this object,
  Parameters:
    `path` - String menupath representation ("File/New", for example).
    `delim` - String menupath divider ("/").
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### pushMenu

    public javax.swing.JMenuItem pushMenu(java.lang.String path)

  Pushes menu. Uses PathParser assigned to this operator.
  Parameters:
    `path` - String menupath representation ("File/New", for example).
  Returns:
    Last pushed JMenuItem.
  Throws:
    `TimeoutExpiredException` -

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String path,
                                java.lang.String delim)

  Executes `pushMenu(path, delim)` in a separate thread.
  Parameters:
    `path` - String menupath representation ("File/New", for example).
    `delim` - String menupath divider ("/").

### pushMenuNoBlock

    public void pushMenuNoBlock(java.lang.String path)

  Executes `pushMenu(path)` in a separate thread.
  Parameters:
    `path` - String menupath representation ("File/New", for example).

### showMenuItems

    public JMenuItemOperator[] showMenuItems(java.lang.String[] path,
                                             Operator.StringComparator comparator)

  Shows submenu of menu specified by a `path` parameter.
  Parameters:
    `path` - an array of menu texts.
    `comparator` - a string comparision algorithm
  Returns:
    an array of operators created tor items from the submenu.
  Throws:
    `TimeoutExpiredException` -

### showMenuItems

    public JMenuItemOperator[] showMenuItems(java.lang.String[] path)

  Shows submenu of menu specified by a `path` parameter. Uses StringComparator assigned to the operator.
  Parameters:
    `path` - an array of menu texts.
  Returns:
    an array of operators created tor items from the submenu.
  Throws:
    `TimeoutExpiredException` -

### showMenuItems

    public JMenuItemOperator[] showMenuItems(java.lang.String path,
                                             java.lang.String delim,
                                             Operator.StringComparator comparator)

  Shows submenu of menu specified by a `path` parameter.
  Parameters:
    `path` - a string identifying the menu path.
    `delim` - a path delimiter.
    `comparator` - a string comparision algorithm
  Returns:
    an array of operators created tor items from the submenu.
  Throws:
    `TimeoutExpiredException` -

### showMenuItems

    public JMenuItemOperator[] showMenuItems(java.lang.String path,
                                             java.lang.String delim)

  Shows submenu of menu specified by a `path` parameter. Uses StringComparator assigned to the operator.
  Parameters:
    `path` - a string identifying the menu path.
    `delim` - a path delimiter.
  Returns:
    an array of operators created tor items from the submenu.
  Throws:
    `TimeoutExpiredException` -

### showMenuItems

    public JMenuItemOperator[] showMenuItems(java.lang.String path,
                                             Operator.StringComparator comparator)

  Shows submenu of menu specified by a `path` parameter. Uses PathParser assigned to this operator.
  Parameters:
    `path` - a string identifying the menu path.
    `comparator` - a string comparision algorithm
  Returns:
    an array of operators created tor items from the submenu.
  Throws:
    `TimeoutExpiredException` -

### showMenuItems

    public JMenuItemOperator[] showMenuItems(java.lang.String path)

  Shows submenu of menu specified by a `path` parameter. Uses PathParser assigned to this operator. Uses StringComparator assigned to the operator.
  Parameters:
    `path` - a string identifying the menu path.
  Returns:
    an array of operators created tor items from the submenu.
  Throws:
    `TimeoutExpiredException` -

### showMenuItem

    public JMenuItemOperator showMenuItem(java.lang.String[] path,
                                          Operator.StringComparator comparator)

  Expends all menus to show menu item specified by a `path` parameter.
  Parameters:
    `path` - an array of menu texts.
    `comparator` - a string comparision algorithm
  Returns:
    an operator for the last menu item in path.
  Throws:
    `TimeoutExpiredException` -

### showMenuItem

    public JMenuItemOperator showMenuItem(java.lang.String[] path)

  Expands all menus to show menu item specified by a `path` parameter.
  Parameters:
    `path` - an array of menu texts.
  Returns:
    an operator for the last menu item in path.
  Throws:
    `TimeoutExpiredException` -

### showMenuItem

    public JMenuItemOperator showMenuItem(java.lang.String path,
                                          java.lang.String delim,
                                          Operator.StringComparator comparator)

  Expands all menus to show menu item specified by a `path` parameter.
  Parameters:
    `path` - a string identifying the menu path.
    `delim` - a path delimiter.
    `comparator` - a string comparision algorithm
  Returns:
    an operator for the last menu item in path.
  Throws:
    `TimeoutExpiredException` -

### showMenuItem

    public JMenuItemOperator showMenuItem(java.lang.String path,
                                          java.lang.String delim)

  Expands all menus to show menu item specified by a `path` parameter. Uses StringComparator assigned to the operator.
  Parameters:
    `path` - a string identifying the menu path.
    `delim` - a path delimiter.
  Returns:
    an operator for the last menu item in path.
  Throws:
    `TimeoutExpiredException` -

### showMenuItem

    public JMenuItemOperator showMenuItem(java.lang.String path,
                                          Operator.StringComparator comparator)

  Expands all menus to show menu item specified by a `path` parameter. Uses PathParser assigned to this operator.
  Parameters:
    `path` - a string identifying the menu path.
    `comparator` - a string comparision algorithm
  Returns:
    an operator for the last menu item in path.
  Throws:
    `TimeoutExpiredException` -

### showMenuItem

    public JMenuItemOperator showMenuItem(java.lang.String path)

  Expands all menus to show menu item specified by a `path` parameter. Uses PathParser assigned to this operator. Uses StringComparator assigned to the operator.
  Parameters:
    `path` - a string identifying the menu path.
  Returns:
    an array of operators created tor items from the submenu.
  Throws:
    `TimeoutExpiredException` -

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `AbstractButtonOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `JMenuItemOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### add

    public javax.swing.JMenuItem add(java.lang.String string)

  Maps `JMenu.add(String)` through queue

### add

    public javax.swing.JMenuItem add(javax.swing.Action action)

  Maps `JMenu.add(Action)` through queue

### add

    public javax.swing.JMenuItem add(javax.swing.JMenuItem jMenuItem)

  Maps `JMenu.add(JMenuItem)` through queue

### addMenuListener

    public void addMenuListener(javax.swing.event.MenuListener menuListener)

  Maps `JMenu.addMenuListener(MenuListener)` through queue

### addSeparator

    public void addSeparator()

  Maps `JMenu.addSeparator()` through queue

### getDelay

    public int getDelay()

  Maps `JMenu.getDelay()` through queue

### getItem

    public javax.swing.JMenuItem getItem(int i)

  Maps `JMenu.getItem(int)` through queue

### getItemCount

    public int getItemCount()

  Maps `JMenu.getItemCount()` through queue

### getMenuComponent

    public java.awt.Component getMenuComponent(int i)

  Maps `JMenu.getMenuComponent(int)` through queue

### getMenuComponentCount

    public int getMenuComponentCount()

  Maps `JMenu.getMenuComponentCount()` through queue

### getMenuComponents

    public java.awt.Component[] getMenuComponents()

  Maps `JMenu.getMenuComponents()` through queue

### getPopupMenu

    public javax.swing.JPopupMenu getPopupMenu()

  Maps `JMenu.getPopupMenu()` through queue

### insert

    public void insert(java.lang.String string,
                       int i)

  Maps `JMenu.insert(String, int)` through queue

### insert

    public javax.swing.JMenuItem insert(javax.swing.Action action,
                                        int i)

  Maps `JMenu.insert(Action, int)` through queue

### insert

    public javax.swing.JMenuItem insert(javax.swing.JMenuItem jMenuItem,
                                        int i)

  Maps `JMenu.insert(JMenuItem, int)` through queue

### insertSeparator

    public void insertSeparator(int i)

  Maps `JMenu.insertSeparator(int)` through queue

### isMenuComponent

    public boolean isMenuComponent(java.awt.Component component)

  Maps `JMenu.isMenuComponent(Component)` through queue

### isPopupMenuVisible

    public boolean isPopupMenuVisible()

  Maps `JMenu.isPopupMenuVisible()` through queue

### isTearOff

    public boolean isTearOff()

  Maps `JMenu.isTearOff()` through queue

### isTopLevelMenu

    public boolean isTopLevelMenu()

  Maps `JMenu.isTopLevelMenu()` through queue

### remove

    public void remove(javax.swing.JMenuItem jMenuItem)

  Maps `JMenu.remove(JMenuItem)` through queue

### removeMenuListener

    public void removeMenuListener(javax.swing.event.MenuListener menuListener)

  Maps `JMenu.removeMenuListener(MenuListener)` through queue

### setDelay

    public void setDelay(int i)

  Maps `JMenu.setDelay(int)` through queue

### setMenuLocation

    public void setMenuLocation(int i,
                                int i1)

  Maps `JMenu.setMenuLocation(int, int)` through queue

### setPopupMenuVisible

    public void setPopupMenuVisible(boolean b)

  Maps `JMenu.setPopupMenuVisible(boolean)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD